Create Channel

POST
https://reloop.sh/api/contacts/v1/channels/create

Body Parameters

namestringRequired

Channel name

  • Minimum length: 1
  • Maximum length: 255
descriptionstring

Channel description

  • Maximum length: 1000
defaultSubscription"opt_in""opt_out"

Possible values: opt_in | opt_out

visibility"private""public"

Possible values: private | public

import { Reloop } from "reloop-email";

const reloop = new Reloop({ apiKey: "rl_123456789" });

const { response: channel, error } = await reloop.contacts.channels.create({
  name: "Product Updates",
  description: "Get the latest news about our products",
  defaultSubscription: "opt_in",
  visibility: "public",
});
if (error) throw error;
{
  "object": "channel",
  "id": "con_123456789",
  "name": "Newsletter",
  "description": "example_description",
  "defaultSubscription": "opt_in",
  "visibility": "private",
  "createdAt": "2026-03-23T10:00:00.000Z",
  "updatedAt": "2026-03-23T10:00:00.000Z",
  "event": "evt_123456789"
}

Was this page helpful?

Edit this page